> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update camera line crossing thresholds

> Updates the line-crossing feature for a camera. Accepts two points which define a line that determines the threshold for which INGRESS and EGRESS events will be generated. Consider the top-left corner of a camera's image to be the origin (0,0).



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/camera/updateCameraLineCrossingThresholds
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/camera/updateCameraLineCrossingThresholds:
    post:
      tags:
        - Camera Webservice
      summary: Update camera line crossing thresholds
      description: >-
        Updates the line-crossing feature for a camera. Accepts two points which
        define a line that determines the threshold for which INGRESS and EGRESS
        events will be generated. Consider the top-left corner of a camera's
        image to be the origin (0,0).
      operationId: updateCameraLineCrossingThresholds
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Camera_UpdateCameraLineCrossingThresholdsWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Camera_UpdateCameraLineCrossingThresholdsWSResponse
          description: OK
components:
  schemas:
    Camera_UpdateCameraLineCrossingThresholdsWSRequest:
      type: object
      description: Request to update line crossing thresholds for a camera.
      properties:
        cameraUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        directions:
          type: array
          description: Set of crossing directions to monitor.
          items:
            $ref: '#/components/schemas/CrossingDirectionEnum'
          nullable: true
          uniqueItems: true
        inverted:
          type: boolean
          description: >-
            By default, INGRESS events occur when the following condition is met
            for the following line types: an entity moves from top -> bottom
            when a horizontal line is defined, an entity moves from left ->
            right when a vertical line is defined, an entity moves from top-left
            -> bottom-right when an upwards sloping line is defined, and an
            entity moves from top-right to bottom-left when a downwards sloping
            line is defined. Setting this value to true will switch INGRESS to
            EGRESS events and vice-versa.
          example: false
          nullable: true
        objectType:
          $ref: '#/components/schemas/CrossingObjectEnum'
        pointA:
          $ref: >-
            #/components/schemas/Camera_UpdateCameraLineCrossingThresholdsWSRequest_Coordinate
        pointB:
          $ref: >-
            #/components/schemas/Camera_UpdateCameraLineCrossingThresholdsWSRequest_Coordinate
    Camera_UpdateCameraLineCrossingThresholdsWSResponse:
      type: object
      description: >-
        Response indicating the result of updating camera line crossing
        thresholds.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    CrossingDirectionEnum:
      type: string
      enum:
        - INGRESS
        - EGRESS
    CrossingObjectEnum:
      type: string
      enum:
        - HUMAN
        - VEHICLE
        - FACE
        - LPR
        - POSE
        - CLIP_EMBED
        - UNKNOWN
    Camera_UpdateCameraLineCrossingThresholdsWSRequest_Coordinate:
      type: object
      description: >-
        (X,Y) coordinate expressed as a percentage of the camera's
        resolution.Minimum range is 0.1 and maximum range is 0.9. Leaving this
        value as null will disable line-crossing.
      properties:
        x:
          type: number
          format: float
          description: Value ranges from 0.1 to 0.9
          example: 0.5
          nullable: true
        'y':
          type: number
          format: float
          description: Value ranges from 0.1 to 0.9
          example: 0.5
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````